%define         anolis_release 15
Name:           jbigkit
Version:        2.1
Release:        %{anolis_release}%{?dist}
Summary:        JBIG1 lossless image compression tools

License:        GPLv2+
URL:            http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Source0:        https://www.cl.cam.ac.uk/~mgk25/jbigkit/download/jbigkit-%{version}.tar.gz
Patch0:         0001-jbigkit-2.1-shlib.patch
Patch1:         0002-jbigkit-2.0-warnings.patch
Patch2:         0003-jbigkit-ldflags.patch
# patch for coverity issues - backported from upstream
Patch3:         0004-jbigkit-covscan.patch

# gcc is no longer in buildroot by default
# gcc needed for libjbig library and several filters - jbigtopbm, pbmtojbig e.g.
BuildRequires: gcc
# uses make
BuildRequires: make

Requires:       jbigkit-libs = %{version}-%{release}

%package libs
Summary:        JBIG1 lossless image compression library

%package devel
Summary:        JBIG1 lossless image compression library -- development files
Requires:       jbigkit-libs = %{version}-%{release}

%description libs
JBIG-KIT provides a portable library of compression and decompression
functions with a documented interface that you can include very easily
into your image or document processing software. In addition, JBIG-KIT
provides ready-to-use compression and decompression programs with a
simple command line interface (similar to the converters found in netpbm).

JBIG-KIT implements the specification:
    ISO/IEC 11544:1993 and ITU-T Recommendation T.82(1993):
    Information technology — Coded representation of picture and audio
    information — Progressive bi-level image compression 

which is commonly referred to as the “JBIG1 standard”

%description devel
The jbigkit-devel package contains files needed for development using 
the JBIG-KIT image compression library.

%description
The jbigkit package contains tools for converting between PBM and JBIG1
formats.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n jbigkit-2.1
%patch0 -p1 -b .shlib
%patch1 -p1 -b .warnings
# jbigkit: Partial Fedora build flags injection (bug #1548546)
%patch2 -p1 -b .ldflags
# covscan issues - backported from upstream
%patch3 -p1 -b .covscan

%build
# get the correct redhat build flags
%set_build_flags
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -p -m0755 libjbig/libjbig.so.%{version} $RPM_BUILD_ROOT/%{_libdir}
install -p -m0755 libjbig/libjbig85.so.%{version} $RPM_BUILD_ROOT/%{_libdir}
ln -sf libjbig.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libjbig.so
ln -sf libjbig85.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libjbig85.so

install -p -m0644 libjbig/jbig.h $RPM_BUILD_ROOT%{_includedir}
install -p -m0644 libjbig/jbig85.h $RPM_BUILD_ROOT%{_includedir}
install -p -m0644 libjbig/jbig_ar.h $RPM_BUILD_ROOT%{_includedir}

install -p -m0755 pbmtools/???to??? $RPM_BUILD_ROOT%{_bindir}
install -p -m0755 pbmtools/???to???85 $RPM_BUILD_ROOT%{_bindir}
install -p -m0644 pbmtools/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%generate_compatibility_deps

%check
make test

%files
%{_bindir}/???to*
%{_mandir}/man1/*
%license COPYING

%files libs
%dir %{abidir}
%{_libdir}/libjbig*.so.%{version}
%{abidir}/libjbig*.dump
%license COPYING

%files doc
%doc ANNOUNCE TODO CHANGES

%files devel
%{_libdir}/libjbig*.so
%{_includedir}/jbig*.h

%changelog
* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 2.1-15
- Bump release for upgrading from anolis 8

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1-2
- add doc package

* Mon Apr 18 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.1-1
- Init jbigkit for anolis os 23
